%global momorel 1

Summary:	OpenGL image compositing library.
Name:		glitz
Version:	0.5.6
Release:	%{momorel}m
Group:		System Environment/Libraries
License:	LGPL
#%%NoSource 0      http://cairographics.org/snapshots/%{name}-%{version}.tar.gz 0e3e149679d61489fb44302ef832f36e
Source0:        %{name}-%{version}.tar.gz 
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  mesa-libGL-devel

%description
Glitz is an OpenGL image compositing library. Glitz provides Porter/Duff
compositing of images and implicit mask generation for geometric primitives
including trapezoids, triangles, and rectangles.

%package 	devel
Summary: 	Development files for glitz
Group: 		Development/Libraries
Requires:	mesa-libGL

%description 	devel
Development files for glitz.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/*.la

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Tue Jun 13 2006 Yohsuke Ooi <meke@momonga-linux.org>
-  (0.5.6-1m)
- update 0.5.6

* Wed Jun 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.4-2m)
- fix files list (%%{_includedir}) 

* Fri Mar 31 2006 Yohsuke Ooi <meke@momonga-linux.org>
-  (0.5.4-1m)
- initial commit

